%define	name		greycstoration
%define	version		0.2.0
%define	subversion	%nil
#define	release		0.%{subversion}.1mdk
%define	release		%mkrel 2

Name:		%name
Version:	%version
Release:	%release
Summary:	Tool for image noise removal using the GREYCstoration algorithm
Group:		Graphics
URL:		http://www.haypocalc.com/wiki/Gimp_Plugin_GREYCstoration
Source0:	http://www.haypocalc.com/perso/prog/greycstoration/%{name}-%{version}.tar.bz2
License:	GPL
BuildRequires:  perl(XML::Parser)
Requires:	gimp
BuildRequires:	libgimp-devel >= 2.0 libgtk+-devel
Buildroot:	%_tmppath/%name-%version-%release-root

%description

GIMP plug-in to do noise removal with the help of the GREYCstoration
algorithm. More sophisticated than built-in methods of most image
manipulation software.

In terms of noise removal free replacement for the commercial tools
Neat Image or Noise Ninja.

After installing this package you can call this function from inside
the GIMP via the menues: "Filters" -> "Misc" -> "GREYCstoration".

Note that this algorithm is very computation- and memory-intensive, so
a powerful computer is highly recommended.

Some info from

http://www.greyc.ensicaen.fr/~dtschump/greycstoration/index.html

GREYCSTORATION is an image regularization algorithm which processes an
image by locally removing small variations of pixel intensities while
preserving significant global image features, such as sharp edges and
corners. The most direct application of image regularization is
denoising. By extension, it can also be used to inpaint or resize
images.

GREYCSTORATION is based on state-of-the-art methods using nonlinear
multi-valued diffusion PDE's (Partial Differential Equations) for
image regularization. This kind of method generally outperforms basic
image filtering techniques (such as convolution, median filtering,
etc.), classically encountered in painting programs. Other image
denoising plugins are available (for instance, Noise Ninja, Neat Image
) but are not free, and the corresponding algorithms are kept
secret. On the contrary, GREYCSTORATION is distributed as an open
source software, submitted to the CeCILL License (compatible with the
well-known GPL license). It gives similar results (not to say better)
to existing denoising filters.

The GREYCSTORATION technique has been developed by David Tschumperlé,
CNRS researcher in the Image Team of the GREYC Lab (UMR CNRS 6072) in
Caen/France. The source code of GREYCSTORATION is freely available and
implements the PDE-based methods published in :

Fast Anisotropic Smoothing of Multi-Valued Images using
Curvature-Preserving PDE's (by D. Tschumperlé), Research Report Les
Cahiers du GREYC, No 05-01, February 2005.

A journal version of this article has been submitted for publication
in IJCV (International Journal of Computer Vision). Other related
articles can be found in :

Vector-Valued Image Regularization with PDE's : A Common Framework for
Different Applications (D. Tschumperlé, R. Deriche), in IEEE
Transactions on Pattern Analysis and Machine Intelligence, April 2005,

and

LIC-Based Regularization of Multi-Valued Images (D. Tschumperlé), in
IEEE International Conference on Image Processing, September 2005.

Compared to other PDE-based regularization method, our recent approach
has several advantages : It performs more quickly and is able to
preserve very thin image details (few pixels wide).


%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup -q -n %{name}-%{version}

%build
cd $RPM_BUILD_DIR/%{name}-%{version}

%configure
perl -p -i -e 's:gimptool:gimptool-2.0:' Makefile */Makefile
make

%install
cd $RPM_BUILD_DIR/%{name}-%{version}

install -d %{buildroot}%{_libdir}/gimp/2.0/plug-ins
install -m 755 src/greycstoration %{buildroot}%{_libdir}/gimp/2.0/plug-ins
#makeinstall
%find_lang greycstoration

%clean
rm -fr %buildroot

%files -f greycstoration.lang
%defattr(-,root,root)
%docdir %{_docdir}/%{name}-%{version}%{subversion}
%doc README AUTHORS COPYING ChangeLog INSTALL
%{_libdir}/gimp/2.0/plug-ins/*

%changelog
* Sun Apr 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-2mdk
- Add BuildRequires

* Mon Feb  6 2006 Till Kamppeter <till@mandrakesoft.com> 0.2.0-1mdk
- First release for Mandriva Linux.
